[rkward-cvs] rkward acinclude.m4,1.8,1.9 aclocal.m4,1.8,1.9 configure,1.31,1.32
Thomas Friedrichsmeier
tfry at users.sourceforge.net
Wed Mar 29 13:25:09 UTC 2006
Update of /cvsroot/rkward/rkward
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv31953
Modified Files:
acinclude.m4 aclocal.m4 configure
Log Message:
Fix configure options
Index: aclocal.m4
===================================================================
RCS file: /cvsroot/rkward/rkward/aclocal.m4,v
retrieving revision 1.8
retrieving revision 1.9
diff -C2 -d -r1.8 -r1.9
*** aclocal.m4 21 Feb 2006 13:26:18 -0000 1.8
--- aclocal.m4 29 Mar 2006 13:25:06 -0000 1.9
***************
*** 1882,1886 ****
[
AC_MSG_CHECKING(whether R_HOME directory exists)
! AC_ARG_WITH(r-home,AC_HELP_STRING([--r-home=DIR],[specify location of R_HOME directory]),
use_r_home="$withval",
use_r_home=`R CMD sh -c 'echo $R_HOME' || echo "/usr/local/lib/R"`
--- 1882,1886 ----
[
AC_MSG_CHECKING(whether R_HOME directory exists)
! AC_ARG_WITH(r-home,AC_HELP_STRING([--with-r-home=DIR],[specify location of R_HOME directory]),
use_r_home="$withval",
use_r_home=`R CMD sh -c 'echo $R_HOME' || echo "/usr/local/lib/R"`
***************
*** 1892,1896 ****
AC_MSG_ERROR([
$use_r_home does not exist as a directory!
! Check your installation of R, and use --r-home to specify the correct location.])
fi
AC_SUBST(R_HOMEDIR)
--- 1892,1896 ----
AC_MSG_ERROR([
$use_r_home does not exist as a directory!
! Check your installation of R, and use --with-r-home to specify the correct location.])
fi
AC_SUBST(R_HOMEDIR)
***************
*** 1910,1914 ****
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --r-home setting was detected correctly above.])
fi
])
--- 1910,1914 ----
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --with-r-home setting was detected correctly above.])
fi
])
***************
*** 1919,1923 ****
[
AC_MSG_CHECKING(for R include files)
! AC_ARG_WITH(r-includes,AC_HELP_STRING([--r-includes=DIR],[specify location of R include files]),
use_r_includes="$withval",
use_r_includes=`R CMD sh -c 'echo $R_INCLUDE_DIR' || echo "$R_HOMEDIR/include"`
--- 1919,1923 ----
[
AC_MSG_CHECKING(for R include files)
! AC_ARG_WITH(r-includes,AC_HELP_STRING([--with-r-includes=DIR],[specify location of R include files]),
use_r_includes="$withval",
use_r_includes=`R CMD sh -c 'echo $R_INCLUDE_DIR' || echo "$R_HOMEDIR/include"`
***************
*** 1930,1934 ****
AC_MSG_ERROR([
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --r-includes to specify the correct directory.])
fi
AC_SUBST(R_INCLUDEDIR)
--- 1930,1934 ----
AC_MSG_ERROR([
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --with-r-includes to specify the correct directory.])
fi
AC_SUBST(R_INCLUDEDIR)
***************
*** 1942,1946 ****
[
AC_MSG_CHECKING(for R_SHARE directory)
! AC_ARG_WITH(r-share,AC_HELP_STRING([--r-share=DIR],[specify location of R_SHARE directory]),
use_r_share="$withval",
use_r_share=`R CMD sh -c 'echo $R_SHARE_DIR' || echo "$R_HOMEDIR/share"`
--- 1942,1946 ----
[
AC_MSG_CHECKING(for R_SHARE directory)
! AC_ARG_WITH(r-share,AC_HELP_STRING([--with-r-share=DIR],[specify location of R_SHARE directory]),
use_r_share="$withval",
use_r_share=`R CMD sh -c 'echo $R_SHARE_DIR' || echo "$R_HOMEDIR/share"`
***************
*** 1953,1957 ****
AC_MSG_ERROR([
$use_r_share does not exist as a directory!
! Check your installation of R, and use --r-share to specify the correct directory.])
fi
AC_SUBST(R_SHAREDIR)
--- 1953,1957 ----
AC_MSG_ERROR([
$use_r_share does not exist as a directory!
! Check your installation of R, and use --with-r-share to specify the correct directory.])
fi
AC_SUBST(R_SHAREDIR)
***************
*** 1965,1969 ****
[
AC_MSG_CHECKING(for R_DOC directory)
! AC_ARG_WITH(r-doc,AC_HELP_STRING([--r-doc=DIR],[specify location of R_DOC directory]),
use_r_doc="$withval",
use_r_doc=`R CMD sh -c 'echo $R_DOC_DIR' || echo "$R_HOMEDIR/doc"`
--- 1965,1969 ----
[
AC_MSG_CHECKING(for R_DOC directory)
! AC_ARG_WITH(r-doc,AC_HELP_STRING([--with-r-doc=DIR],[specify location of R_DOC directory]),
use_r_doc="$withval",
use_r_doc=`R CMD sh -c 'echo $R_DOC_DIR' || echo "$R_HOMEDIR/doc"`
***************
*** 1976,1980 ****
AC_MSG_ERROR([
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --r-doc to specify the correct directory.])
fi
AC_SUBST(R_DOCDIR)
--- 1976,1980 ----
AC_MSG_ERROR([
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --with-r-doc to specify the correct directory.])
fi
AC_SUBST(R_DOCDIR)
Index: acinclude.m4
===================================================================
RCS file: /cvsroot/rkward/rkward/acinclude.m4,v
retrieving revision 1.8
retrieving revision 1.9
diff -C2 -d -r1.8 -r1.9
*** acinclude.m4 21 Feb 2006 13:26:18 -0000 1.8
--- acinclude.m4 29 Mar 2006 13:25:06 -0000 1.9
***************
*** 1870,1874 ****
[
AC_MSG_CHECKING(whether R_HOME directory exists)
! AC_ARG_WITH(r-home,AC_HELP_STRING([--r-home=DIR],[specify location of R_HOME directory]),
use_r_home="$withval",
use_r_home=`R CMD sh -c 'echo $R_HOME' || echo "/usr/local/lib/R"`
--- 1870,1874 ----
[
AC_MSG_CHECKING(whether R_HOME directory exists)
! AC_ARG_WITH(r-home,AC_HELP_STRING([--with-r-home=DIR],[specify location of R_HOME directory]),
use_r_home="$withval",
use_r_home=`R CMD sh -c 'echo $R_HOME' || echo "/usr/local/lib/R"`
***************
*** 1880,1884 ****
AC_MSG_ERROR([
$use_r_home does not exist as a directory!
! Check your installation of R, and use --r-home to specify the correct location.])
fi
AC_SUBST(R_HOMEDIR)
--- 1880,1884 ----
AC_MSG_ERROR([
$use_r_home does not exist as a directory!
! Check your installation of R, and use --with-r-home to specify the correct location.])
fi
AC_SUBST(R_HOMEDIR)
***************
*** 1898,1902 ****
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --r-home setting was detected correctly above.])
fi
])
--- 1898,1902 ----
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --with-r-home setting was detected correctly above.])
fi
])
***************
*** 1907,1911 ****
[
AC_MSG_CHECKING(for R include files)
! AC_ARG_WITH(r-includes,AC_HELP_STRING([--r-includes=DIR],[specify location of R include files]),
use_r_includes="$withval",
use_r_includes=`R CMD sh -c 'echo $R_INCLUDE_DIR' || echo "$R_HOMEDIR/include"`
--- 1907,1911 ----
[
AC_MSG_CHECKING(for R include files)
! AC_ARG_WITH(r-includes,AC_HELP_STRING([--with-r-includes=DIR],[specify location of R include files]),
use_r_includes="$withval",
use_r_includes=`R CMD sh -c 'echo $R_INCLUDE_DIR' || echo "$R_HOMEDIR/include"`
***************
*** 1918,1922 ****
AC_MSG_ERROR([
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --r-includes to specify the correct directory.])
fi
AC_SUBST(R_INCLUDEDIR)
--- 1918,1922 ----
AC_MSG_ERROR([
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --with-r-includes to specify the correct directory.])
fi
AC_SUBST(R_INCLUDEDIR)
***************
*** 1930,1934 ****
[
AC_MSG_CHECKING(for R_SHARE directory)
! AC_ARG_WITH(r-share,AC_HELP_STRING([--r-share=DIR],[specify location of R_SHARE directory]),
use_r_share="$withval",
use_r_share=`R CMD sh -c 'echo $R_SHARE_DIR' || echo "$R_HOMEDIR/share"`
--- 1930,1934 ----
[
AC_MSG_CHECKING(for R_SHARE directory)
! AC_ARG_WITH(r-share,AC_HELP_STRING([--with-r-share=DIR],[specify location of R_SHARE directory]),
use_r_share="$withval",
use_r_share=`R CMD sh -c 'echo $R_SHARE_DIR' || echo "$R_HOMEDIR/share"`
***************
*** 1941,1945 ****
AC_MSG_ERROR([
$use_r_share does not exist as a directory!
! Check your installation of R, and use --r-share to specify the correct directory.])
fi
AC_SUBST(R_SHAREDIR)
--- 1941,1945 ----
AC_MSG_ERROR([
$use_r_share does not exist as a directory!
! Check your installation of R, and use --with-r-share to specify the correct directory.])
fi
AC_SUBST(R_SHAREDIR)
***************
*** 1953,1957 ****
[
AC_MSG_CHECKING(for R_DOC directory)
! AC_ARG_WITH(r-doc,AC_HELP_STRING([--r-doc=DIR],[specify location of R_DOC directory]),
use_r_doc="$withval",
use_r_doc=`R CMD sh -c 'echo $R_DOC_DIR' || echo "$R_HOMEDIR/doc"`
--- 1953,1957 ----
[
AC_MSG_CHECKING(for R_DOC directory)
! AC_ARG_WITH(r-doc,AC_HELP_STRING([--with-r-doc=DIR],[specify location of R_DOC directory]),
use_r_doc="$withval",
use_r_doc=`R CMD sh -c 'echo $R_DOC_DIR' || echo "$R_HOMEDIR/doc"`
***************
*** 1964,1968 ****
AC_MSG_ERROR([
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --r-doc to specify the correct directory.])
fi
AC_SUBST(R_DOCDIR)
--- 1964,1968 ----
AC_MSG_ERROR([
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --with-r-doc to specify the correct directory.])
fi
AC_SUBST(R_DOCDIR)
Index: configure
===================================================================
RCS file: /cvsroot/rkward/rkward/configure,v
retrieving revision 1.31
retrieving revision 1.32
diff -C2 -d -r1.31 -r1.32
*** configure 21 Feb 2006 13:26:18 -0000 1.31
--- configure 29 Mar 2006 13:25:07 -0000 1.32
***************
*** 1071,1078 ****
--with-qt-includes=DIR where the Qt includes are.
--with-qt-libraries=DIR where the Qt library is installed.
! --r-home=DIR specify location of R_HOME directory
! --r-includes=DIR specify location of R include files
! --r-share=DIR specify location of R_SHARE directory
! --r-doc=DIR specify location of R_DOC directory
--without-arts build without aRts default=yes
--- 1071,1078 ----
--with-qt-includes=DIR where the Qt includes are.
--with-qt-libraries=DIR where the Qt library is installed.
! --with-r-home=DIR specify location of R_HOME directory
! --with-r-includes=DIR specify location of R include files
! --with-r-share=DIR specify location of R_SHARE directory
! --with-r-doc=DIR specify location of R_DOC directory
--without-arts build without aRts default=yes
***************
*** 28931,28938 ****
{ { echo "$as_me:$LINENO: error:
$use_r_home does not exist as a directory!
! Check your installation of R, and use --r-home to specify the correct location." >&5
echo "$as_me: error:
$use_r_home does not exist as a directory!
! Check your installation of R, and use --r-home to specify the correct location." >&2;}
{ (exit 1); exit 1; }; }
fi
--- 28931,28938 ----
{ { echo "$as_me:$LINENO: error:
$use_r_home does not exist as a directory!
! Check your installation of R, and use --with-r-home to specify the correct location." >&5
echo "$as_me: error:
$use_r_home does not exist as a directory!
! Check your installation of R, and use --with-r-home to specify the correct location." >&2;}
{ (exit 1); exit 1; }; }
fi
***************
*** 28952,28960 ****
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --r-home setting was detected correctly above." >&5
echo "$as_me: error:
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --r-home setting was detected correctly above." >&2;}
{ (exit 1); exit 1; }; }
fi
--- 28952,28960 ----
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --with-r-home setting was detected correctly above." >&5
echo "$as_me: error:
$R_HOMEDIR/lib/libR.so does not exist.
Check whether you have compiled R with shared library,
! and the --with-r-home setting was detected correctly above." >&2;}
{ (exit 1); exit 1; }; }
fi
***************
*** 28979,28986 ****
{ { echo "$as_me:$LINENO: error:
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --r-includes to specify the correct directory." >&5
echo "$as_me: error:
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --r-includes to specify the correct directory." >&2;}
{ (exit 1); exit 1; }; }
fi
--- 28979,28986 ----
{ { echo "$as_me:$LINENO: error:
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --with-r-includes to specify the correct directory." >&5
echo "$as_me: error:
$use_r_includes/R.h does not exist!
! Check your installation of R, and use --with-r-includes to specify the correct directory." >&2;}
{ (exit 1); exit 1; }; }
fi
***************
*** 29009,29016 ****
{ { echo "$as_me:$LINENO: error:
$use_r_share does not exist as a directory!
! Check your installation of R, and use --r-share to specify the correct directory." >&5
echo "$as_me: error:
$use_r_share does not exist as a directory!
! Check your installation of R, and use --r-share to specify the correct directory." >&2;}
{ (exit 1); exit 1; }; }
fi
--- 29009,29016 ----
{ { echo "$as_me:$LINENO: error:
$use_r_share does not exist as a directory!
! Check your installation of R, and use --with-r-share to specify the correct directory." >&5
echo "$as_me: error:
$use_r_share does not exist as a directory!
! Check your installation of R, and use --with-r-share to specify the correct directory." >&2;}
{ (exit 1); exit 1; }; }
fi
***************
*** 29039,29046 ****
{ { echo "$as_me:$LINENO: error:
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --r-doc to specify the correct directory." >&5
echo "$as_me: error:
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --r-doc to specify the correct directory." >&2;}
{ (exit 1); exit 1; }; }
fi
--- 29039,29046 ----
{ { echo "$as_me:$LINENO: error:
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --with-r-doc to specify the correct directory." >&5
echo "$as_me: error:
$use_r_doc does not exist as a directory!
! Check your installation of R, and use --with-r-doc to specify the correct directory." >&2;}
{ (exit 1); exit 1; }; }
fi
More information about the rkward-tracker
mailing list